Page MenuHomePhabricator

Configure community blog to display translations when available
Closed, ResolvedPublic

Description

The community blog can have content in multiple languages. However, there currently is no way to navigate to content in multiple languages. This needs to be configured.

Event Timeline

Qgil edited projects, added Space (Jul-Sep-2019); removed Space.
Qgil triaged this task as Medium priority.Jul 5 2019, 9:18 AM

First we need a process to handle translations in the Blog, though.

Edited: never mind, T226755: Document process for translation of community blog

CKoerner_WMF raised the priority of this task from Medium to High.Sep 26 2019, 8:50 PM
CKoerner_WMF moved this task from Jul-Sep-2019 to Oct-Dec-2019 on the Space board.
CKoerner_WMF edited projects, added Space (Oct-Dec-2019); removed Space (Jul-Sep-2019).

Since we launched the Space prototype in June we've been manually adding links to other language version of blog posts. This is clunky and cumbersome.

As of today I have made a small change to the blog template and included a language picker. This is using the Polylang extension for WordPress. You can see this in action on the following blog post. As translations are made available (and published) the dropdown menu will automatically include a switcher between all available languages.

https://space.wmflabs.org/2019/11/21/wikimedia-portugal-participation-on-strategy-process-in-2019/

In the near future we are working on a way to make it apparent to readers that articles can be translated. They can be now, but the process is a little more involved than we'd like and undocumented.

Note: the manual link between the two language version is still present. This is due to the fact that when publishing to the Discuss (Discourse) side of Space there is no immediate indication that a topic is available in another language.

Chris, Elena, do you think this comment above could be topic in Space itself?

I suppose it would inform the community better on our progress than here in this phab task. @elappen-WMF could I borrow your "Building a multilingual Space" headline and write up a part two?

Sure, go for it. We should have the first round of multilingual features for users to test this week, next week latest. Maybe the part 2 blog post could go up announcing the roll out of these features and talking about blog translations as a next step? I can write out the paragraph about the features for testing. Would that work?

@CKoerner_WMF: Mass-moving open Space (Oct-Dec-2019) tasks to Space (Jan-Mar-2020). In case this task has been fixed (resolved) already or is not being worked on anymore (declined), please update the task status via the Add Action...Change Status dropdown. Thanks!

CKoerner_WMF renamed this task from Configure Space blog to display translations when available to Configure community blog to display translations when available.Mar 16 2020, 4:26 PM
CKoerner_WMF updated the task description. (Show Details)

This feature has been implemented. A language switcher present on all pages will show content in various languages (where available).